
QGIS Application - Bug report #8865

qgis fails to import/load all points from the attached .osm file

2013-10-16 01:55 AM - Mathieu Pellerin - nIRV

Status: Closed

Priority: High

Assignee:

Category: Data Provider

Affected QGIS version:2.0.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 17545

Description

Steps to reproduce:

1. Import topology from test_points.osm into QGIS (via Vector -> OpenStreetMap -> Import Toplogy ... )

2. Export points topology (via Vector -> OpenStreetMap -> Export ...)

3. Load the resulting spatialite into QGIS, and note the absence of points highlighted in qgis-missing-points.png

4. Using JOSM, load test_points.osm, and note the presence of amenity points missing in QGIS (highlighted in josm-good.png)

Some dark voodoo resulting in data lost :/ I'm setting priority to high as this is a silent issue that can result in people not knowing they

could only import partial data.

Issue affecting QGIS 2.0, as well as current master (2.1).

History

#1 - 2013-10-16 10:49 AM - Martin Dobias

- Resolution set to fixed

- Status changed from Open to Closed

Fixed in commit:7dc20ef50719c94ccd24d4b862dd278931acb19d (master) and commit:c8c802fba6ec3e903285ae6c8fd5af4e02415f0f (release-2_0)

#2 - 2013-10-16 06:25 PM - Mathieu Pellerin - nIRV

That was fast Martin, thanks.

Files

test_points.osm 549 KB 2013-10-15 Mathieu Pellerin - nIRV

qgis-missing-points.png 147 KB 2013-10-15 Mathieu Pellerin - nIRV

josm-good.png 209 KB 2013-10-15 Mathieu Pellerin - nIRV
